So I have gecko-mediaplayer installed and I can see the the plugin files in the directory /usr/lib64/browser-plugins/

Code:
-rwxr-xr-x 1 root root  97K 2011-03-25 08:02 gecko-mediaplayer-dvx.so*
-rwxr-xr-x 1 root root  97K 2011-03-25 08:02 gecko-mediaplayer-qt.so*
-rwxr-xr-x 1 root root  97K 2011-03-25 08:02 gecko-mediaplayer-rm.so*
-rwxr-xr-x 1 root root  97K 2011-03-25 08:02 gecko-mediaplayer.so*
-rwxr-xr-x 1 root root  97K 2011-03-25 08:02 gecko-mediaplayer-wmp.so*
However, firefox only loads one of them: gecko-mediaplayer.so

Now, I notice that at the bottom of pluginreg.dat, this:

Code:
[INVALID]
/usr/lib64/browser-plugins/gecko-mediaplayer-wmp.so:$
1301065353000:$
/usr/lib64/browser-plugins/gecko-mediaplayer-rm.so:$
1301065353000:$
/usr/lib64/browser-plugins/gecko-mediaplayer-qt.so:$
1301065353000:$
/usr/lib64/browser-plugins/gecko-mediaplayer-dvx.so:$
1301065353000:$
This behavior does not persist with other users, only mine. So I know the plugins are good and not out-of-date or corrupt. There's something else in my account that is confusing firefox. Does anyhow have an idea what might be causing this?

Oh, I tried deleting the pluginreg.dat and even removing .mozilla and creating a new profile, so it's not a profile issue either. This is a tricky one

Thanks in advance.